Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1010727 (qt5-qtdoc) - Review Request: qt5-qtdoc - Main Qt5 Reference Documentation
Summary: Review Request: qt5-qtdoc - Main Qt5 Reference Documentation
Keywords:
Status: CLOSED ERRATA
Alias: qt5-qtdoc
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1009868 (view as bug list)
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2013-09-22 20:41 UTC by Rex Dieter
Modified: 2014-09-23 17:13 UTC (History)
4 users (show)

Fixed In Version: qt5-qtdoc-5.1.1-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-10-19 09:14:10 UTC
lkundrak: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Rex Dieter 2013-09-22 20:41:12 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtdoc.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtdoc-5.1.1-1.fc19.src.rpm
Description:
QtDoc contains the main Qt Reference Documentation, which includes
overviews, Qt topics, and examples not specific to any Qt module

Fedora Account System Username: rdieter


Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5969235

Comment 1 Lubomir Rintel 2013-09-23 07:00:08 UTC
* Package is correctly named
* Correct version packaged
* License correct and packaged
* Source file untouched
* RPM file clean and legible
* Requires sane
* Provides sane
- Filelist mostly fine, see notes below
* Builds fine in mock
* RPMLint happy

0.) The package should not have %doc-only files.

I'm pretty sure there's even a guideline (that applies to -doc subpackages, but the point stays) -- I'll try to look it up in case this does not make sense to you :)

However, the purpose of marking files %doc is nodocs RPM transaction that would allow for very minimal installation that still not affect functionality of the system. In such case a person would not install the -qtdoc package in the first place.

I suggest not marking /usr/share/doc/qt5/qtdoc as %doc, and only leaving /usr/share/doc/qt5-qtdoc-5.1.1 to be marked as such.

Comment 2 Kevin Kofler 2013-09-26 22:49:52 UTC
RPM automatically marks everything under /usr/share/doc as %doc, so just removing the %doc wouldn't help.

Comment 3 Kevin Kofler 2013-09-26 23:08:24 UTC
> License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL

Shouldn't that actually say:
License: (LGPLv2 with exceptions or GPLv3 with exceptions) and GFDL
instead? At least in C and C++, && has higher priority than ||.

(This also affects at least qt5-qttranslations, probably also other Qt 5 packages.)

Comment 4 Rex Dieter 2013-09-30 15:41:14 UTC
Kevin's right, the %doc marking is automatic, notice there is no '%doc' anywhere in qt5-qtdoc.spec 

As far as licensing goes, since it is doc-only, probably only GFDL applies here.  I'll double-check...

Comment 5 Rex Dieter 2013-09-30 15:45:09 UTC
confirmed...

Spec URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtdoc.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtdoc-5.1.1-2.fc19.src.rpm

%changelog
* Mon Sep 30 2013 Rex Dieter <rdieter@fedoraproject.org> 5.1.1-2
- License: GFDL

Comment 6 Lubomir Rintel 2013-10-09 08:57:51 UTC
Thank you.

APPROVED

Comment 7 Rex Dieter 2013-10-09 17:06:28 UTC
New Package SCM Request
=======================
Package Name: qt5-qtdoc
Short Description: Main Qt5 Reference Documentation
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: el6 f18 f19 f20
InitialCC:

Comment 8 Gwyn Ciesla 2013-10-09 18:33:35 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2013-10-10 13:53:14 UTC
qt5-qtdoc-5.1.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/qt5-qtdoc-5.1.1-2.fc20

Comment 10 Fedora Update System 2013-10-10 13:53:44 UTC
qt5-qtdoc-5.1.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qt5-qtdoc-5.1.1-2.fc19

Comment 11 Fedora Update System 2013-10-10 13:54:43 UTC
qt5-qtdoc-5.1.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qt5-qtdoc-5.1.1-2.fc18

Comment 12 Fedora Update System 2013-10-10 13:55:26 UTC
qt5-qtdoc-5.1.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/qt5-qtdoc-5.1.1-2.el6

Comment 13 Fedora Update System 2013-10-10 18:32:55 UTC
qt5-qtdoc-5.1.1-2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 14 Fedora Update System 2013-10-19 09:14:10 UTC
qt5-qtdoc-5.1.1-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 15 Fedora Update System 2013-10-19 09:14:26 UTC
qt5-qtdoc-5.1.1-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 16 Fedora Update System 2013-10-25 17:36:48 UTC
qt5-qtdoc-5.1.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 17 Fedora Update System 2013-11-10 06:32:34 UTC
qt5-qtdoc-5.1.1-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 18 Rex Dieter 2014-09-23 17:13:33 UTC
*** Bug 1009868 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.